From db@blackbox.site Wed Jun 29 08:17:18 2005
Date: Wed, 29 Jun 2005 07:03:10 -0700
From: david-b@pacbell.net
To: gregkh@kroah.com
Subject: USB: fix ohci merge glitch
Message-Id: <20050629140310.17BFFC894D@blackbox.site>

A patch re-organizing some parts of root hub initialization deleted the
code initializing the bus-neutral reboot/shutdown notifier for OHCI.
This patch just restores that deleted code.

Signed-off-by: David Brownell <dbrownell@users.sourceforge.net>
Signed-off-by: Greg Kroah-Hartman <gregkh@suse.de>

---
 drivers/usb/host/ohci-hcd.c |    4 +++-
 1 files changed, 3 insertions(+), 1 deletion(-)

--- gregkh-2.6.orig/drivers/usb/host/ohci-hcd.c	2005-07-01 13:44:07.000000000 -0700
+++ gregkh-2.6/drivers/usb/host/ohci-hcd.c	2005-07-01 14:18:06.000000000 -0700
@@ -673,8 +673,10 @@
 
 	ohci_dump (ohci, 1);
 
-	if (ohci_to_hcd(ohci)->self.root_hub == NULL)
+	if (ohci_to_hcd(ohci)->self.root_hub == NULL) {
+		register_reboot_notifier (&ohci->reboot_notifier);
 		create_debug_files (ohci);
+	}
 
 	return 0;
 }
